;;;; cl-scopes/test/etc/config-web

(in-package :scopes/test-web)

(setf *config* (config:root :env-keys '(:address :port)))

(let ((cfg (config:add *config* :server 
                       :class 'server:config
                       :port "8899"
                       :routes 
                         `((nil server:fileserver 
                                :doc-root ,(t:test-path "" "docs")))))))

(let ((cfg (config:add *config* :client 
                       :class 'client:config
                       :base-url "http://localhost:8899"
                       :doc-path "/" :api-path "/api/"))))
